Back to Platform

PUT /members/{id}

PUT
/members/{id}

PUT operation for /members/{id}

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://dev-rest.onboard.io/members/string" \  -H "Content-Type: application/json" \  -d '{    "first_name": "string",    "last_name": "string",    "email": "[email protected]",    "role": "string",    "account_type": "admin",    "external_id": "string",    "slack_member_id": "string",    "roles": "string",    "role_ids": [      "string"    ],    "features": {},    "meeting_insights": true,    "custom": "string"  }'
{
  "id": 1,
  "first_name": "string",
  "last_name": "string",
  "name": "string",
  "email": "[email protected]",
  "role": "string",
  "account_type": "admin",
  "avatar": "string",
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "invited_at": "2021-01-01T00:00:00Z",
  "status": "active",
  "external_id": "string",
  "last_login": "string",
  "slack_member_id": "string",
  "roles": "string",
  "role_ids": [
    "string"
  ],
  "features": {},
  "fora_id": "string",
  "meeting_insights": true,
  "custom": "string"
}
Empty
Empty
Empty

How is this guide?